com.jgoodies.forms.layout

## Class FormSpec.DefaultAlignment

- java.lang.Object
- - com.jgoodies.forms.layout.FormSpec.DefaultAlignment

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    FormSpec

      public static final class FormSpec.DefaultAlignment
      extends Object
      implements Serializable

  An ordinal-based serializable typesafe enumeration for the column and row default alignment types.
  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `char` | `abbreviation()` Returns the first character of this Alignment's name.
    `String` | `toString()` Returns this Alignment's name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public String toString()

      Returns this Alignment's name.
      Overrides:
        `toString` in class `Object`
      Returns:
        this alignment's name.

    - #### abbreviation

          public char abbreviation()

      Returns the first character of this Alignment's name. Used to identify it in short format strings.
      Returns:
        the name's first character.

Copyright © 2002-2015 JGoodies Software GmbH. All Rights Reserved.